import { NgModule, ModuleWithProviders } from '@angular/core';
import { CommonModule } from '@angular/common';

import { RouterModule } from '@angular/router';

import { OddsCrawlerFrontendCommonModule } from '@odds-crawler/common';

import { MainComponent } from './component/main.component';
import { FilterComponent } from './component/filter.component';
import { OptionComponent } from './component/option.component';
import { IoComponent } from './component/io.component';

export const COMPONENTS = [
  MainComponent,
  FilterComponent,
  OptionComponent,
  IoComponent
];

@NgModule({
  declarations: [...COMPONENTS],
  imports: [CommonModule, RouterModule, OddsCrawlerFrontendCommonModule],
  exports: [...COMPONENTS]
})
export class OddsCrawlerFrontendNetworkModule {
  public static forRoot(): ModuleWithProviders<
    OddsCrawlerFrontendNetworkRootModule
  > {
    return {
      ngModule: OddsCrawlerFrontendNetworkRootModule,
      providers: []
    };
  }
}

@NgModule({
  imports: [],
  exports: []
})
export class OddsCrawlerFrontendNetworkRootModule {}
